Permalink
Browse files

testsuite: Fix build for python2.6

pycparser-2.19 requires python2.7.
  • Loading branch information...
AlexanderS committed Oct 12, 2018
1 parent 020b8cf commit e31e084a3020f91b5db6cab8352f0e0032c1b6bb
Showing with 3 additions and 3 deletions.
  1. +3 −3 testsuite/install.sh
@@ -28,21 +28,21 @@ else
if [[ "$WITH_OPTIONAL_DEPS" == "yes" ]]; then
pip_wheel PyYAML pyinotify boto pylibacl Jinja2 \
cherrypy python-augeas nose-show-skipped
cherrypy nose-show-skipped
if [[ $PYVER == "2.6" ]]; then
pip install \
--global-option='build_ext' \
--global-option='--include-dirs=/usr/include/x86_64-linux-gnu' \
m2crypto
pip_wheel 'django<1.7' 'South<0.8' 'mercurial<4.3' cheetah guppy
pip_wheel 'django<1.7' 'South<0.8' 'mercurial<4.3' cheetah guppy 'pycparser<2.19' python-augeas
else
if [[ $PYVER == "2.7" ]]; then
pip_wheel m2crypto guppy
fi
pip_wheel django mercurial cheetah3
pip_wheel django mercurial cheetah3 python-augeas
fi
fi
fi

0 comments on commit e31e084

Please sign in to comment.